/*****************************************************************************
*   "Irit" - the 3d polygonal solid modeller.				     *
*									     *
* Written by:  Gershon Elber				Ver 1.0, Jan. 1992   *
******************************************************************************
* Global definitions of	os2drvs interface.			             *
*****************************************************************************/

#ifndef	OS2DRVS_H	/* Define only once */
#define	OS2DRVS_H

#define ID_OS2DRVS		1984

#define IDM_FILE		1
#define IDM_FILE_SAVE		11
#define IDM_FILE_SAVE_AS	12
#define IDM_FILE_QUIT		13

#define IDM_MOUSE		2
#define IDM_MOUSE_MORE		21
#define IDM_MOUSE_LESS		22

#define IDM_STATE		3
#define IDM_STATE_MORE_ISO	31
#define IDM_STATE_LESS_ISO	32
#define IDM_STATE_FINER_APPROX	33
#define IDM_STATE_COARSER_APPROX 34
#define IDM_STATE_SHORTER_VEC	35
#define IDM_STATE_LONGER_VEC	36
#define IDM_STATE_WIDE_LINES	37
#define IDM_STATE_THIN_LINES	38

#define IDM_TOGGLE		4
#define IDM_TGLS_SCREEN		41
#define IDM_TGLS_PERSP		42
#define IDM_TGLS_DEPTH_CUE	43
#define IDM_TGLS_INTERNAL	44
#define IDM_TGLS_VRTX_NRML	45
#define IDM_TGLS_POLY_NRML	46
#define IDM_TGLS_CTL_MESH	47
#define IDM_TGLS_SRF_POLYS	48
#define IDM_TGLS_4_PER_FLAT	49

#define	IDM_VIEWS		6
#define	IDM_VIEW_FRONT		60
#define IDM_VIEW_SIDE		61
#define IDM_VIEW_TOP		62
#define IDM_VIEW_ISOMETRY	63

#endif /* OS2DRVS_H */
