/*****************************************************************************
*   "Irit" - the 3d (not only polygonal) solid modeller.		     *
*									     *
* Written by:  Gershon Elber				Ver 0.2, Mar. 1990   *
******************************************************************************
* General, visible to others, definitions for the windows module.	     *
*****************************************************************************/

#ifndef	WINDOWS_GH					/* Define only once. */
#define	WINDOWS_GH

/* Prototypes of the windows module functions: */

void WndwPause(RealType *R);
void WndwLogPrint(RealType *Set);
void WndwInputWindowPutStr(char *Msg);
void WndwInputWindowGetStr(char *Str, int Length);
void WndwViewObject(IPObjectStruct *PObj);
void WndwViewClearScreen(void);
void WndwViewSaveMatrix(char *FileName);
void WndwViewDisconnect(void);
void WndwViewExit(void);

#endif	/* WINDOWS_GH */
