/*****************************************************************************
* Conversion routines from curvesand surfaces to polygons and polylines.     *
*									     *
* Written by:  Gershon Elber				Ver 1.0, Apr 1992    *
*****************************************************************************/

#ifndef FF_CONVRT_H
#define FF_CONVRT_H

#include "iritprsr.h"
#include "attribut.h"

IPPolygonStruct *Curve2Polylines(CagdCrvStruct *Crv, int DrawCurve,
				 int DrawCtlPoly, int SamplesPerCurve);
IPPolygonStruct *Surface2Polylines(CagdSrfStruct *Srf, int DrawSurface,
				   int DrawMesh, int NumOfIsolines[2],
				   int SamplesPerCurve);

#endif /* FF_CONVRT_H */
